## GtkPasswordEntry GtkPasswordEntry — An entry for secrets |

## Functions

GtkWidget * | gtk_password_entry_new ()
void | gtk_password_entry_set_show_peek_icon ()
gboolean | gtk_password_entry_get_show_peek_icon ()
void | gtk_password_entry_set_extra_menu ()
GMenuModel * | gtk_password_entry_get_extra_menu ()

## Properties

gboolean | activates-default | Read / Write
GMenuModel * | extra-menu | Read / Write
gchar * | placeholder-text | Read / Write
gboolean | show-peek-icon | Read / Write

## Types and Values

struct | GtkPasswordEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkPasswordEntry

## Implemented Interfaces

GtkPasswordEntry implements AtkImplementorIface, GtkBuildable, GtkConstraintTarget and GtkEditable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkPasswordEntry is entry that has been tailored for entering secrets. It does not show its contents in clear text, does not allow to copy it to the clipboard, and it shows a warning when Caps Lock is engaged.

Optionally, it can offer a way to reveal the contents in clear text.

GtkPasswordEntry provides only minimal API and should be used with the GtkEditable API.

## Functions

### gtk_password_entry_new ()

    GtkWidget *
    gtk_password_entry_new (void);

Creates a GtkPasswordEntry.

#### Returns

a new GtkPasswordEntry

### gtk_password_entry_set_show_peek_icon ()

    void
    gtk_password_entry_set_show_peek_icon (GtkPasswordEntry *entry,
                                           gboolean show_peek_icon);

Sets whether the entry should have a clickable icon to show the contents of the entry in clear text.

Setting this to `FALSE` also hides the text again.

#### Parameters

entry | a GtkPasswordEntry |
show_peek_icon | whether to show the peek icon |

### gtk_password_entry_get_show_peek_icon ()

    gboolean
    gtk_password_entry_get_show_peek_icon (GtkPasswordEntry *entry);

Returns whether the entry is showing a clickable icon to reveal the contents of the entry in clear text.

#### Parameters

entry | a GtkPasswordEntry |

#### Returns

`TRUE` if an icon is shown

### gtk_password_entry_set_extra_menu ()

    void
    gtk_password_entry_set_extra_menu (GtkPasswordEntry *entry,
                                       GMenuModel *model);

Sets a menu model to add when constructing the context menu for `entry` .

#### Parameters

entry | a GtkPasswordEntry |
model | a GMenuModel. | [allow-none]

### gtk_password_entry_get_extra_menu ()

    GMenuModel *
    gtk_password_entry_get_extra_menu (GtkPasswordEntry *entry);

Gets the menu model set with `gtk_password_entry_set_extra_menu()`.

#### Parameters

entry | a GtkText |

#### Returns

(nullable): the menu model.

[transfer none]

## Types and Values

### struct GtkPasswordEntry

    struct GtkPasswordEntry;

## Property Details

### The `“activates-default”` property

      “activates-default”        gboolean

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed.

Owner: GtkPasswordEntry

Flags: Read / Write

Default value: FALSE

### The `“extra-menu”` property

      “extra-menu”               GMenuModel *

A menu model whose contents will be appended to the context menu.

Owner: GtkPasswordEntry

Flags: Read / Write

### The `“placeholder-text”` property

      “placeholder-text”         gchar *

Show text in the entry when it’s empty and unfocused.

Owner: GtkPasswordEntry

Flags: Read / Write

Default value: NULL

### The `“show-peek-icon”` property

      “show-peek-icon”           gboolean

Whether to show an icon for revealing the content.

Owner: GtkPasswordEntry

Flags: Read / Write

Default value: FALSE